const Mesa = require('vendor/Mesa.js');

/**
 * A Mesa Script exports a class with a script() method.
 */
module.exports = new class {

  /**
   * Mesa Script
   *
   * @param {object} payload The payload data
   * @param {object} context Additional context about this task
   */
  script = (payload, context) => {
    const vars = context.steps;

    Mesa.storage.set('bestseller_index', 0);

    Mesa.trigger.setTaskExternalData({
      "label": "Initializing best seller index: " + Mesa.storage.get('bestseller_index')
      });

    // We're done, call the next step!
    Mesa.output.next(payload);
  }
}
